## org.eclipse.jst.jsf.facesconfig.edit.provider
Class LifecycleExtensionTypeItemProvider

    java.lang.Object
      ItemProviderAdapter
          org.eclipse.jst.jsf.facesconfig.edit.provider.ExtensionTypeItemProvider
              org.eclipse.jst.jsf.facesconfig.edit.provider.LifecycleExtensionTypeItemProvider

    public class LifecycleExtensionTypeItemProvider

extends ExtensionTypeItemProvider

This is the item provider adapter for a `LifecycleExtensionType` object.

Field Summary
`static java.lang.String` `copyright`

Constructor Summary
`LifecycleExtensionTypeItemProvider(AdapterFactory adapterFactory)` This constructs an instance from a factory and a notifier

Method Summary
`java.lang.Object` `getColumnImage(java.lang.Object object, int columnIndex)`
`java.lang.String` `getColumnText(java.lang.Object object, int columnIndex)`
`java.lang.Object` `getImage(java.lang.Object object)` This returns LifecycleExtensionType.gif
`java.util.List` `getPropertyDescriptors(java.lang.Object object)` This returns the property descriptors for the adapted class
`java.lang.String` `getText(java.lang.Object object)` This returns the label text for the adapted class
`void` `notifyChanged(Notification notification)` This handles model notifications by calling `#updateChildren` to update any cached children and by creating a viewer notification, which it passes to `#fireNotifyChanged`

Methods inherited from class org.eclipse.jst.jsf.facesconfig.edit.provider.ExtensionTypeItemProvider
`getResourceLocator`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### copyright

    public static final java.lang.String copyright

  See Also:
    Constant Field Values

Constructor Detail

### LifecycleExtensionTypeItemProvider

    public LifecycleExtensionTypeItemProvider(AdapterFactory adapterFactory)

  This constructs an instance from a factory and a notifier.

  Parameters:
    `adapterFactory` -

Method Detail

### getPropertyDescriptors

    public java.util.List getPropertyDescriptors(java.lang.Object object)

  This returns the property descriptors for the adapted class.

  Overrides:
    `getPropertyDescriptors` in class `ExtensionTypeItemProvider`

### getImage

    public java.lang.Object getImage(java.lang.Object object)

  This returns LifecycleExtensionType.gif.

### getText

    public java.lang.String getText(java.lang.Object object)

  This returns the label text for the adapted class.

  Overrides:
    `getText` in class `ExtensionTypeItemProvider`

### notifyChanged

    public void notifyChanged(Notification notification)

  This handles model notifications by calling `#updateChildren` to update any cached children and by creating a viewer notification, which it passes to `#fireNotifyChanged`.

  Overrides:
    `notifyChanged` in class `ExtensionTypeItemProvider`

### getColumnImage

    public java.lang.Object getColumnImage(java.lang.Object object,
                                           int columnIndex)

### getColumnText

    public java.lang.String getColumnText(java.lang.Object object,
                                          int columnIndex)